/****************************************************************************
 ** This file is part of the MAIA (Malagasy Artificial Intelligence Art) Open Project.
 **
 ** Copyright (C) 2012, 2013 ANDRIAMILAMINA Monge.
 ** All rights reserved.
 **
 ** License: GNU GENERAL PUBLIC LICENSE Version 3, 29 June 2007.
 ** Author:  ANDRIAMILAMINA Monge.
 ** Contact: mongemilamina@gmail.com / +261 34 45 062 85.
 ** Year:    2013.
 ** Status:  MAIA Senior Engineer, Madagasikara, Antananarivo.
 ** Domain:  Automatic.
 **
 ** Commercial Usage
 ** Please contact MAIA.
 **
 ** GNU General Public License Usage
 ** This file may be used under the terms of the GNU
 ** General Public License version 3.0 as published by the Free Software
 ** Foundation and appearing in the file LICENSE.GPL included in the
 ** packaging of this file.  Please review the following information to
 ** ensure the GNU General Public License version 3.0 requirements will be
 ** met: http://www.gnu.org/copyleft/gpl.html.
 **
 ** If you have questions regarding the use of this file, please contact
 ** the Author.
 **
 ****************************************************************************/

#ifndef DIRVIEW_H
#define DIRVIEW_H

#include <QMainWindow>
#include <QSystemTrayIcon>
#include <QAction>
#include <QMenu>
#include <QTabWidget>
#include <QTextEdit>
#include <QComboBox>
#include <QLabel>


namespace Ui {
    class DirView;
}

class DirView : public QMainWindow {
    Q_OBJECT
public:
    DirView(QWidget *parent = 0);
    ~DirView();
public slots:
    void browseHDD();
    void browseUSB();

    void handleFilter();
    void newSynch();

    void aboutAndHelp();
    void synch();

private slots:
    void trayIconActivated(QSystemTrayIcon::ActivationReason reas);//get the activation reason of the trayicon (clicked or right clicked ...)
    void closeEvent(QCloseEvent *ev);

protected:
    void changeEvent(QEvent *e);    

private:
    Ui::DirView *ui;

    QLabel* myUrlLabel;
    QSystemTrayIcon* myTray;
    QAction* myActionNew;
    QAction* myActionSynch;
    QAction* myActionQuit;
    QAction* myActionAboutAndHelp;
    QMenu* myTrayMenu;
    QTabWidget* myTabWidget;
    QComboBox* myComboFilter;

    QTextEdit* myAboutText;
    QTextEdit* myHelpText;

};

#endif // DIRVIEW_H
